Subject: Re: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Rudolf Adamkovič <[email-masked]>
Date: Sun, 13 Nov 2022 23:37:23 +0100

Eli Zaretskii <[email-masked]> writes:

>> Works here too, but the function still increases the font size right
>> after I execute it.
>
> This is the intended behavior, so no need to try to "fix" it.

I see.  I apologize for the noise, then.

>> In other words, to have *no change* in font size, I have do:
>> 
>> 1. type `M-x' and `global-text-scale-adjust' and `RET'
>> 2. type `-'
>> 3. type `q'
>> 
>> `text-scale-adjust' does this too, so I guess ... a feature?
>
> Yes, but why would you need to invoke the command if you don't want to
> change the size of the font?  What kind of use case is that?

Statistically, half of the time, when I invoke the command, I want to
make the font smaller.  In that case, making the font larger first leads
to both confusion and at least one unnecessary key press.

Rudy
-- 
"The introduction of suitable abstractions is our only mental aid to
organize and master complexity."
-- Edsger Wybe Dijkstra, 1930-2002

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia